Bug 247565 (CVE-2006-4519) - CVE-2006-4519 GIMP multiple image loader integer overflows
Summary: CVE-2006-4519 GIMP multiple image loader integer overflows
Status: CLOSED ERRATA
Alias: CVE-2006-4519
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://labs.idefense.com/intelligence...
Whiteboard: impact=moderate,source=internet,publi...
Keywords: Security
Depends On: 247566 247567 247568 247569 247570 247571 247572 247573 247574 833902
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-10 00:29 UTC by Josh Bressers
Modified: 2016-03-04 12:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 16:52:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0513 normal SHIPPED_LIVE Moderate: gimp security update 2008-01-07 19:10:49 UTC
GNOME Bugzilla 451379 None None None Never
GNOME Bugzilla 453973 None None None Never

Description Josh Bressers 2007-07-10 00:29:47 UTC
iDefense has reported several integer overflow flaws in GIMP.  It is presumed
that these flaws could lead to arbitrary code execution if a victim opens a
malicious image file.

Comment 2 Nils Philippsen 2007-07-12 07:01:26 UTC
Reproducers for some of the problems can be found in one of the corresponding
upstream bugs: http://bugzilla.gnome.org/show_bug.cgi?id=453973

Comment 4 Vincent Danen 2010-12-22 16:52:18 UTC
This was addressed via:

Red Hat Enterprise Linux version 2.1 (RHSA-2007:0513)
Red Hat Enterprise Linux version 3 (RHSA-2007:0513)
Red Hat Enterprise Linux version 4 (RHSA-2007:0513)
Red Hat Enterprise Linux version 5 (RHSA-2007:0513)


Note You need to log in before you can comment on or make changes to this bug.